org.apache.hadoop.hdfs.util

## Class Diff.UndoInfo<E>

- java.lang.Object
- - org.apache.hadoop.hdfs.util.Diff.UndoInfo<E>

- Enclosing class:
    Diff<K,E extends Diff.Element<K>>

      public static class Diff.UndoInfo<E>
      extends Object

  Undo information for some operations such as delete(E) and `Diff.modify(Element, Element)`.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `E` | `getTrashedElement()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTrashedElement

          public E getTrashedElement()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.